Next: THIS_IMAGE, Previous: TAN, Up: Intrinsic Procedures

### 8.240 `TANH` — Hyperbolic tangent function

Description:
  `TANH(X)` computes the hyperbolic tangent of X.
Standard:
  Fortran 77 and later, for a complex argument Fortran 2008 or later
Class:
  Elemental function
Syntax:
  `X = TANH(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X. If X is complex, the imaginary part of the result is in radians. If X is `REAL`, the return value lies in the range - 1 \leq tanh(x) \leq 1 .
Example:

                program test_tanh
                  real(8) :: x = 2.1_8
                  x = tanh(x)
                end program test_tanh

Specific names:

  Name | Argument | Return type | Standard
  `TANH(X)` | `REAL(4) X` | `REAL(4)` | Fortran 95 and later
  `DTANH(X)` | `REAL(8) X` | `REAL(8)` | Fortran 95 and later

See also:
  ATANH